= gpssnmp(1)
:date: 2 March 2021
:keywords: gps, gpsd, gpssnmp
:manmanual: GPSD Documentation
:mansource: GPSD Version {gpsdver}
:robots: index,follow
:sectlinks:
:toc: macro
:type: manpage
:webfonts!:

include::../www/inc-menu.adoc[]

== NAME

gpssnmp - SNMP helper client for gpsd

== SYNOPSIS

*gpssnmp* -h

*gpssnmp* -g OID

*gpssnmp* -V

== DESCRIPTION

*gpssnmp* is a *gpsd* client that works as an SNMP helper for *MRTG*.

*gpssnmp* does not require root privileges. It will also run fine as root.

== OPTIONS

*-?*, *-h*, *--help*::
  Print a summary of options and then exit.
*-g OID*::
  Get the specified OID.  Supported OID values are:
*.1.3.6.1.2.1.25.1.31*;; OID_VISIBLE, Number of visible GNSS satellites
*.1.3.6.1.2.1.25.1.32*;; OID_USED, Number of GNSS satellites used.
*.1.3.6.1.2.1.25.1.33*;; OID_SNR_AVG, Average of all used SNRs.

*-V*, *--version*::
  Print the package version and exit.

== EXAMPLES:

To get OID_VISIBLE:

----
   $ gpssnmp -g .1.3.6.1.2.1.25.1.31
   .1.3.6.1.2.1.25.1.31
   gauge
   13
----

To get OID_USED:

----
   $ gpssnmp -g .1.3.6.1.2.1.25.1.32
   .1.3.6.1.2.1.25.1.32
   gauge
   4
----

To get OID_SNR_AVG:

----
   $ gpssnmp -g .1.3.6.1.2.1.25.1.33
   .1.3.6.1.2.1.25.1.33
   gauge
   22.250000
----

== RETURN VALUES

*0*:: on success.
*1*:: on failure

== SEE ALSO

*cgps*(1), *gegps*(1), *gpsctl*(1), *gps*(1), gpsprof*(1), *gpsfake*(1),
*gpscat*(1), *gpspipe*(1), *gpsmon*(1), xgps*(1). *xgpsspeed*(1)

*libgps*(3), *libgpsmm*(3)

*gpsd*(8)

== RESOURCES

*Project web site:* {gpsdweb}

== COPYING

This file is Copyright 2013 by the GPSD project +
SPDX-License-Identifier: BSD-2-clause
